com.holonplatform.datastore.mongo.core

## Interface BsonSort

- All Superinterfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.query.QuerySort, Serializable
  All Known Implementing Classes:
    DefaultBsonSort

      public interface BsonSort
      extends com.holonplatform.core.query.QuerySort

  A `QuerySort` which uses a `Bson` expression as sort expression.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QuerySort

      `com.holonplatform.core.query.QuerySort.CompositeQuerySort, com.holonplatform.core.query.QuerySort.PathQuerySort<T>, com.holonplatform.core.query.QuerySort.QuerySortResolver<T extends com.holonplatform.core.query.QuerySort>, com.holonplatform.core.query.QuerySort.QuerySortSupport<C extends com.holonplatform.core.query.QuerySort.QuerySortSupport<C>>, com.holonplatform.core.query.QuerySort.SortDirection`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BsonSort` | `create(org.bson.conversions.Bson bson)` Create a new `BsonSort`.
    `org.bson.conversions.Bson` | `getBson()` Get the sort expression as a `Bson` expression.

    - ### Methods inherited from interface com.holonplatform.core.query.QuerySort

      `and, asc, desc, of, of, of, of`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getBson

          org.bson.conversions.Bson getBson()

      Get the sort expression as a `Bson` expression.
      Returns:
        `Bson` sort expression (must be not null)

    - #### create

          static BsonSort create(org.bson.conversions.Bson bson)

      Create a new `BsonSort`.
      Parameters:
        `bson` - Sort expression as `Bson`
      Returns:
        A new `BsonSort` instance

Copyright © 2019 The Holon Platform. All rights reserved.